#ifndef __TILES_H__
#define __TILES_H__


#include "civedit.h"

#include <genlist.h>

extern GtkDrawingArea *da;

extern gint TILE_HEIGHT;
extern gint TILE_WIDTH;

void diagonal_roads(void);
void draw_denmark(void);
void update_map_settings(void);
void draw_everything(gboolean reuse_offscreen);
void create_new_map(gint x, gint y);
void draw_tile(GtkWidget *widget, gint x, gint y, struct genlist *citylist);
void clear_rect_specials(gint x0, gint y0, gint x1, gint y1);
void clear_rect_infrastructure(gint x0, gint y0, gint x1, gint y1);
/*
void draw_city(GtkWidget *widget, struct city *pcity, struct genlist *citylist);
void draw_cities(GtkWidget *widget, struct genlist *citylist);
*/


#endif /* __TILES_H__ */
