#ifndef __TOOLFUNC_H__
#define __TOOLFUNC_H__


#include "civedit.h"

extern gint current_color;
extern gint country;
extern GdkGC *gc;

typedef void (* ToolFunction) (GtkWidget *widget, gint x, gint y);

/* tool press/release funtions */
void start_tile(GtkWidget *widget, gint x, gint y);
void end_tile(GtkWidget *widget, gint x, gint y);
void start_rect(GtkWidget *widget, gint x, gint y);
void end_rect(GtkWidget *widget, gint x, gint y);
void start_line(GtkWidget *widget, gint x, gint y);
void end_line(GtkWidget *widget, gint x, gint y);
void put_unit(GtkWidget *widget, gint x, gint y);
void toggle_special(GtkWidget *widget, gint x, gint y);
void end_cut(GtkWidget *widget, gint x, gint y);
void end_copy(GtkWidget *widget, gint x, gint y);
void start_paste(GtkWidget *widget, gint x, gint y);
void end_paste(GtkWidget *widget, gint x, gint y);

void clear_sel(void);
void init_clipboard(void);


#endif /* __TOOLFUNC_H__ */
